> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--workflows/types/objects/get-pipeline-applications-response.md).

# getPipelineApplicationsResponse

Response containing pipeline applications with selection state.

### Examples

```graphql
type GetPipelineApplicationsResponse {
  total: Int
  offset: Int
  totalFilteredApps: Int
  applications: [WfApp!]
}
```

### Fields

| Field                                                                                              | Description                           | Supported fields                                                                                                                                                 |
| -------------------------------------------------------------------------------------------------- | ------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| total `Int`                                                                                        | Total number of applications          |                                                                                                                                                                  |
| offset `Int`                                                                                       | Pagination offset                     |                                                                                                                                                                  |
| totalFilteredApps `Int`                                                                            | Total number of filtered applications |                                                                                                                                                                  |
| applications [`[WfApp!]`](/api-documentation/api-reference/api--workflows/types/objects/wf-app.md) | List of applications                  | <p>appName <code>String</code><br>appType <code>String</code><br>appId <code>String</code><br>selected <code>Boolean</code><br>disabled <code>Boolean</code></p> |

### References

#### Queries using this object:

* [\<?> getPipelineApplications](/api-documentation/api-reference/api--workflows/queries/get-pipeline-applications.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--workflows/types/objects/get-pipeline-applications-response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
